<?php
include ("../conexion.php");
include ("../funciones/fechas.php");

echo $gesven      =$_POST["vendedor"];
$cdgtipven   =$_POST["combotipoventa"];
$fechainicio =$_POST["fechainicio"];
$fechafin    =$_POST["fechafin"];

$fechainicio = implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin    = implode("-", array_reverse(explode("-", $fechafin))); 


$where="1=1";
//if ($cdgven <> "")  { $where.=" AND cdgven='$cdgven'"; }
if ($gesven <> "")    { $where.=" AND facturas.cdgcli=web_0301.cdgcli  "; }
if ($gesven <> "")    { $where.=" AND web_0301.gesven='$gesven'"; }

if ($cdgtipven <> "") { $where.=" AND cdgtipven='$cdgtipven'"; }

if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND fecha between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND fecha>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND fecha<='".$fechafin."'";
		}
	}
}

// $where.=" AND facturas.estrechazo=0";
 
 
/*
	 $subtot=0;
	 $destot=0;
	 $impven=0;
	 $totalfacturas=0;
	*/ 
					$Total_subtot = 0;
					$Total_destot = 0;
					 $Total_impven = 0;
					 $Total_totalfacturas = 0;
				 
 
if ($result = $mysqli->query("SELECT  *  FROM facturas,web_0301 WHERE  ".$where. "  ORDER BY facturas.dsccli,facturas.numfactura ASC"  )) {
   $filas = $result->num_rows;
   $result->close();
}
 
  




?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script src="..//jquery/bootstrap.js"></script>
        <link href="..//estilos/bootstrap.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function pon_prefijo(subtot,destot,impven,totalfacturas) {
	parent.document.form_busqueda.subtot.value=subtot;
	parent.document.form_busqueda.destot.value=destot;
	parent.document.form_busqueda.impven.value=impven;
	parent.document.form_busqueda.totalfacturas.value=totalfacturas;
	
    
}

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<?php echo $totalfacturas?>">
				<?php
				
				
				if ($filas > 0) { 
$contador=0;
$marcaestado=0;	
$marcaborrado=0;

	


$consulta = "SELECT  *  FROM facturas,web_0301 WHERE  ".$where. "  ORDER BY facturas.dsccli,facturas.numfactura ASC";
if ($resultado = $mysqli->query($consulta)) 

 
    while ($fila = $resultado->fetch_assoc()) {
        $marcaestado   = $fila["estado"];
        $marcaborrado  = $fila["borrado"];
        $fecha         = $fila["fecha"];
		$fecha         = implode("-", array_reverse(explode("-", $fecha)));
		$numfactura    = $fila["numfactura"];
		$numfactura    = substr($numfactura, -10);
		$cdgcli        = $fila["cdgcli"];
		$dsccli        = $fila["dsccli"];
	//	$totalfactura  = $fila["totalfactura"];
		$pladia        = $fila["pladia"];
		
		 $totalfactura=$fila["totalfactura"];
		 $subtot=$fila["subtot"];
		 $destot=$fila["destot"];
		 $impven=$fila["impven"];
		 $cdgclave  = $fila["cdgclave"];
		
		
		$facturas_notas = "SELECT * FROM facturas_notas WHERE clanumref = '$cdgclave' ";
		$result_facturas_notas= $mysqli->query($facturas_notas);
		$filas_notas = $result_facturas_notas->num_rows;
		$row_facturas_notas= $result_facturas_notas->fetch_array();
		
		$nota_aplicada="";

		if ($filas_notas > 0 ){
		
		/****************NO COMTEMPLA LAS QUE SE LES HA ECHO NOTA DE CREDITO***************************/

		$totcompro_notas = $row_facturas_notas["totcompro"];
		$totalfactura = $totalfactura - $totcompro_notas ;
		
		
		$subtot_notas= $row_facturas_notas["subtot"];
		$destot_notas= $row_facturas_notas["destot"];
		$impven_notas= $row_facturas_notas["impven"];
		
		
		$subtot = $subtot - $subtot_notas;
		$destot = $destot - $destot_notas;
		$impven = $impven - $impven_notas;
		
		$nota_aplicada="NOTA APLICADA";

		}
		

		
		
				    if ( $marcaborrado == 1) { $borrado="Nula"; } else { $borrado=""; } 
					if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td width="2%"><?php $contador+1;?></td>
								<td width="9%"><div align="left"><?php echo $numfactura ?>
                                </div></td>
                                	<td width="11%" align="center"><div align="left"><?php echo $fecha?>
                                </div></td>
								<td width="5%" align="right"><div align="left"><?php echo $cdgcli?></div></td>	
									<?php	  $dsccli = substr($dsccli, 0,45);  ?>	
								<td width="38%"><div align="left"><?php echo $dsccli  ?></div></td>	
								<td width="10%"><div align="center"><?php echo $pladia; ?></div></td>							
								<td width="9%"><div align="right"><?php echo number_format($totalfactura,2,".",",")?></div></td>
								 <td width="12%"><div align="center"><span class="label label-success"><?php echo $nota_aplicada; ?></span></div></td>		
		
								
								<td width="1%"><div align="center"></div></td>
								<td width="6%"><div align="center"></div></td>
						</tr>
						</tr>	
						<?php $contador++;
						
				$Total_subtot = $subtot + $Total_subtot;
				 $Total_destot = $destot + $Total_destot;
				 $Total_impven = $impven + $Total_impven;
				 $Total_totalfacturas = $totalfactura + $Total_totalfacturas;
				 
			/*	 
	 $subtot=number_format($subtot,2,",",".");
	 $destot=number_format($destot,2,",",".");
	 $impven=number_format($impven,2,",",".");
	 $totalfacturas=number_format($totalfacturas,2,",",".");
				 
	*/	 

							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php  echo "No hay ningun resultado que cumpla con los criterios de b&uacute;squeda" ;?></td>
					    </tr>
					</table>					
					<?php } ?>	
                    	
                    
                 <script languaje="javascript">
		
	pon_prefijo('<?php echo number_format($Total_subtot,2,",",".") ?>','<?php echo number_format($Total_destot,2,",",".") ?>','<?php echo number_format($Total_impven,2,",",".") ?>','<?php echo number_format($Total_totalfacturas,2,",",".") ?>');
	
		</script>			
				</div>
			</div>
		  </div>			
		</div>
	</body>
</html>
